## django-testscenarios 0.7.3

=== debian/changelog ===
django-testscenarios (0.7.3-2) unstable; urgency=medium

  * Add autopkgtest support

 -- Neil Williams <codehelp@debian.org>  Sat, 19 Jul 2014 14:13:38 +0100

django-testscenarios (0.7.3-1) unstable; urgency=medium

  * Initial release. (Closes: #745440: ITP: django-testscenarios --
    Django unit test scenarios support)

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Apr 2014 08:10:45 +0100

django-testscenarios (0.7.2-2) unstable; urgency=medium

  * Update control for alioth location.

 -- Neil Williams <codehelp@debian.org>  Thu, 12 Dec 2013 22:18:33 +0000

django-testscenarios (0.7.2-1) unstable; urgency=low

  * Initial packaging

 -- Neil Williams <codehelp@debian.org>  Mon, 22 Jul 2013 10:14:55 +0100

## django-testscenarios 0.10

=== Makefile ===
coverage_report coverage_report_log.txt: $(shell find -name '*.py')
	rm -rf coverage_report
	mkdir -p coverage_report
	PYTHONPATH=. COVERAGE_REPORT_HTML_OUTPUT_DIR="$(CURDIR)/coverage_report" python test_project/manage.py test_coverage django_testscenarios -v0 2>&1 | tee coverage_report_log.txt

on_commit:: coverage_report
	rsync -a coverage_report zero-kelvin.pl:/var/www/www.zero-kelvin.pl/django_testscenarios/

clean:
	rm -rf coverage_report
	rm -f coverage_report_log.txt

## django-testscenarios 0.7.4

=== debian/changelog ===
django-testscenarios (0.7.4-1) unstable; urgency=medium

  * New upstream release
  * Test if django supports a setup method and call it where
    supported for Django 1.7 support. (Closes: #755661)

 -- Neil Williams <codehelp@debian.org>  Tue, 16 Sep 2014 15:49:04 -0700

=== debian/control ===
Source: django-testscenarios
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python | python-all | python-dev | python-all-dev,
 python-setuptools, python-django, python-testtools,
 python-mimeparse, python-testscenarios, django-testproject
X-Python-Version: 2.7
XS-Testsuite: autopkgtest
Standards-Version: 3.9.5
Homepage: http://www.linaro.org/engineering/validation
Vcs-Git: https://github.com/Linaro/pkg-django-testscenarios.git
Vcs-Browser: https://github.com/Linaro/pkg-django-testscenarios

Package: django-testscenarios
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Django unit test scenarios support
 This package provides django test support for
 using testscenarios.TestCase together with
 django.tests.TestCase. Tests can be given
 scenarios which all share the django database
 setup methods.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://pypi.python.org/packages/source/d/django-testscenarios/django-testscenarios-(\d\.\d\.\d).tar.gz

## django-testscenarios 0.8

=== debian/changelog ===
django-testscenarios (0.8-1) unstable; urgency=medium

  * New upstream release. (Closes: #801930)
    Port the unit test support (only) to atomic
    transactions. Bump version and django dependency.

 -- Neil Williams <codehelp@debian.org>  Tue, 03 Nov 2015 13:32:26 +0000

django-testscenarios (0.7.4-3) unstable; urgency=medium

  * Add Senthil Kumaran S (stylesen) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 08 Sep 2015 22:32:01 +0530

django-testscenarios (0.7.4-2) unstable; urgency=medium

  * Add watch file
  * Add dh-python to build-deps

 -- Neil Williams <codehelp@debian.org>  Sun, 03 May 2015 17:12:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+ Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
+ Senthil Kumaran S (stylesen) <stylesen@gmail.com>
+Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
  python-setuptools, python-django, python-testtools,
  python-mimeparse, python-testscenarios, django-testproject
 X-Python-Version: 2.7
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.linaro.org/engineering/validation
 Vcs-Git: https://github.com/Linaro/pkg-django-testscenarios.git
 Vcs-Browser: https://github.com/Linaro/pkg-django-testscenarios

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	# Run the bundled tests when building the package
	LC_ALL=C python setup.py test

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=$(CURDIR)/debian/django-testscenarios/ --install-layout=deb

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r django_testscenarios.egg-info setup.cfg .idea/
	$(RM) -r versiontools-*.egg/ build/ django_testscenarios/__init__.pyc
	[ ! -f doc/Makefile ] || make -C doc/ clean

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/django-testscenarios-$(VERSION).tar.gz ../django-testscenarios_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# https://pypi.python.org/packages/source/d/django-testscenarios/django-testscenarios-(\d\.\d\.\d).tar.gz

https://git.linaro.org/lava/django-testscenarios.git/tags /lava/django-testscenarios.git/log/refs/tags/(.*)

## django-testscenarios 0.9

=== debian/changelog ===
django-testscenarios (0.9-2) unstable; urgency=medium

  * Reduce build-depends to assist with python3 transition
    (Closes: #866538)
  * Bump compat and standards version (no changes)
  * Fix watch file

 -- Neil Williams <codehelp@debian.org>  Fri, 30 Jun 2017 09:40:01 +0100

django-testscenarios (0.9-1) unstable; urgency=medium

  * New upstream release for python3 support.
  * Add python3 package

 -- Neil Williams <codehelp@debian.org>  Wed, 10 Aug 2016 13:33:02 +0100

=== debian/control ===
Source: django-testscenarios
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
 Senthil Kumaran S (stylesen) <stylesen@gmail.com>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 python-all, python-setuptools, python-django, python-testtools,
 python-mimeparse, python-testscenarios, django-testproject,
 python3-all,python3-setuptools, python3-django, python3-testtools,
 python3-mimeparse, python3-testscenarios, python3-django-testproject,
X-Python-Version: >=2.7
XS-Testsuite: autopkgtest
Standards-Version: 4.0.0
Homepage: http://www.linaro.org/engineering/validation
Vcs-Git: https://github.com/Linaro/pkg-django-testscenarios.git
Vcs-Browser: https://github.com/Linaro/pkg-django-testscenarios

Package: django-testscenarios
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Django unit test scenarios support (Python 2)
 This package provides django test support for
 using testscenarios.TestCase together with
 django.tests.TestCase. Tests can be given
 scenarios which all share the django database
 setup methods.

Package: python3-django-testscenarios
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Django unit test scenarios support (Python 3)
 This package provides django test support for
 using testscenarios.TestCase together with
 django.tests.TestCase. Tests can be given
 scenarios which all share the django database
 setup methods.
 .
 This package contains the python3 module.

## django-testscenarios 0.10

=== debian/changelog ===
django-testscenarios (0.10-1) unstable; urgency=medium

  * New production release for python3 fix.
  * Remove Fathi and Jordi from uploaders on request.
    (Closes: #879286)

 -- Neil Williams <codehelp@debian.org>  Mon, 18 Dec 2017 10:46:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>,
- Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
+Uploaders: Neil Williams <codehelp@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
  python-all, python-setuptools, python-django, python-testtools,

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,17 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3
 
 override_dh_auto_test:
 	# Run the bundled tests when building the package
 	LC_ALL=C python setup.py test
+	LC_ALL=C python3 setup.py test
 
 override_dh_auto_install:
 	dh_auto_install
 	python setup.py install --root=$(CURDIR)/debian/django-testscenarios/ --install-layout=deb
+	python3 setup.py install --root=$(CURDIR)/debian/python3-django-testscenarios/ --install-layout=deb
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, python3-django-testscenarios, django-testscenarios
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# https://git.linaro.org/lava/lava-dispatcher.git/snapshot/lava-server-2016.11.tar.gz

https://git.linaro.org/lava/django-testscenarios.git/refs /lava/django-testscenarios.git/snapshot/django-testscenarios-(\d+.\d+.\d?)\d*.*.tar.gz
